Bug 847272 - CLI doc - Incorrect examples for executing a script with argumets
CLI doc - Incorrect examples for executing a script with argumets
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Documentation (Show other bugs)
JON 3.1.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deon Ballard
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-10 07:28 EDT by Filip Brychta
Modified: 2014-10-23 08:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-28 19:33:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filip Brychta 2012-08-10 07:28:33 EDT
Description of problem:
Example 11 and Example 16 from http://docs.redhat.com/docs/en-US/JBoss_Operations_Network/3.1/html/Dev_Writing_JON_Command-Line_Scripts/common-actions.html are incorrect.


Example 11:
following line:
rhqadmin@localhost:7080$ exec -f echo_args.js --args-style=named x=1, y=2

correct version:
rhqadmin@localhost:7080$ exec -f echo_args.js --args-style=named x=1 y=2
(no comma between arguments)



Example16:
localhost:7080(rhqadmin)> exec --style=named -f /absolute/path/to/myscript.js -s named x=1 y=2 y=3

correct version:
localhost:7080(rhqadmin)> exec --args-style=named -f /absolute/path/to/myscript.js x=1 y=2 y=3

-s is not a valid option for exec command (maybe it was removed?? - not sure) so following sentence 'This can be done using the -s option, which, much like the --args-style option with the rhq-cli.sh command' is not true any more.



Tested on JON311ER1
Comment 1 Deon Ballard 2013-02-28 19:33:20 EST
Mass closure.

Note You need to log in before you can comment on or make changes to this bug.